Package twisted :: Package names :: Module authority :: Class FileAuthority

[show private | hide private]
[frames | no frames]

## Class FileAuthority

    ResolverBase --+
                   |
                  FileAuthority

Known Subclasses:
  `PySourceAuthority`, `BindAuthority`

An Authority that is loaded from a file.

Method Summary
| `__init__(self, filename)`
| `__setstate__(self, state)`
| `getHostByName(self, name, timeout, effort)` (inherited from `ResolverBase`)
| `lookupAddress(self, name, timeout)` (inherited from `ResolverBase`)
| `lookupAddress6(self, name, timeout)` (inherited from `ResolverBase`)
| `lookupAFSDatabase(self, name, timeout)` (inherited from `ResolverBase`)
| `lookupAllRecords(self, name, timeout)` (inherited from `ResolverBase`)
| `lookupAuthority(self, name, timeout)` (inherited from `ResolverBase`)
| `lookupCanonicalName(self, name, timeout)` (inherited from `ResolverBase`)
| `lookupHostInfo(self, name, timeout)` (inherited from `ResolverBase`)
| `lookupIPV6Address(self, name, timeout)` (inherited from `ResolverBase`)
| `lookupMailBox(self, name, timeout)` (inherited from `ResolverBase`)
| `lookupMailboxInfo(self, name, timeout)` (inherited from `ResolverBase`)
| `lookupMailExchange(self, name, timeout)` (inherited from `ResolverBase`)
| `lookupMailGroup(self, name, timeout)` (inherited from `ResolverBase`)
| `lookupMailRename(self, name, timeout)` (inherited from `ResolverBase`)
| `lookupNameservers(self, name, timeout)` (inherited from `ResolverBase`)
| `lookupNull(self, name, timeout)` (inherited from `ResolverBase`)
| `lookupPointer(self, name, timeout)` (inherited from `ResolverBase`)
| `lookupResponsibility(self, name, timeout)` (inherited from `ResolverBase`)
| `lookupService(self, name, timeout)` (inherited from `ResolverBase`)
| `lookupText(self, name, timeout)` (inherited from `ResolverBase`)
| `lookupWellKnownServices(self, name, timeout)` (inherited from `ResolverBase`)
| `lookupZone(self, name, timeout)`
| `query(self, query, timeout)` (inherited from `ResolverBase`)
| `_cbAllRecords(self, results)`
| `_cbRecords(self, (ans, auth, add), name, effort)` (inherited from `ResolverBase`)
| `_lookup(self, name, cls, type, timeout)`

Class Variable Summary
`NoneType` | `records`
`NoneType` | `soa`

Class Variable Details

### records

  Type:
    `NoneType`
  Value:

        None

### soa

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 1.1 on Thu May 8 13:18:33 2003 | http://epydoc.sf.net